"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var SaveLoadLocalStorage_1 = tslib_1.__importDefault(require("./SaveLoadLocalStorage"));
var SaveLoadSessionStorage_1 = tslib_1.__importDefault(require("./SaveLoadSessionStorage"));
var SaveLocation;
(function (SaveLocation) {
    SaveLocation[SaveLocation["LocalStorage"] = 0] = "LocalStorage";
    SaveLocation[SaveLocation["SessionStorage"] = 1] = "SessionStorage";
})(SaveLocation = exports.SaveLocation || (exports.SaveLocation = {}));
function saveLoadFactory(name, saveLocation) {
    switch (saveLocation) {
        case SaveLocation.LocalStorage:
            return new SaveLoadLocalStorage_1.default(name);
        case SaveLocation.SessionStorage:
            return new SaveLoadSessionStorage_1.default(name);
    }
}
exports.saveLoadFactory = saveLoadFactory;
exports.default = saveLoadFactory;
//# sourceMappingURL=SaveLoadFactory.js.map